package shakespeare;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.HashMap;

public class Szotar {
	
	HashMap<String,Integer> szavak;
	
	public Szotar(String path) {
		szavak = new HashMap<String,Integer>();
		
		try {
			FileReader fr = new FileReader(path);
			BufferedReader br = new BufferedReader(fr);
			String s;
			while((s=br.readLine())!=null) {
				s = s.replaceAll("[^A-Za-z0-9 ]", "");
				s = s.toLowerCase();
				String[] words = s.split(" ");
				for(String word : words) {
					set(word);
				}
			}
			br.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public int get(String word) {
		return szavak.containsKey(word) ? szavak.get(word) : 0;		
	}
	
	private void set(String word) {
		int szam;
		szam = szavak.containsKey(word) ? szavak.get(word) + 1 : 1;
		szavak.put(word, szam);
	}

}
